Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.pipeline.tasks
Class SaveBuildTask

    java.lang.Object
      com.atlassian.bamboo.build.pipeline.tasks.AbstractBuildResultsTask
          com.atlassian.bamboo.build.pipeline.tasks.SaveBuildTask

All Implemented Interfaces:
  CallableBuildResults

    public class SaveBuildTask

extends AbstractBuildResultsTask

Field Summary

Fields inherited from class com.atlassian.bamboo.build.pipeline.tasks.AbstractBuildResultsTask
`buildResults`

Constructor Summary
`SaveBuildTask(BuildResults buildResults, ErrorHandler errorHandler)`

Method Summary
`Object` | `call()`
`void` | `setBuildManager(BuildManager buildManager)`
`void` | `setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)`
`void` | `setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)`

Methods inherited from class com.atlassian.bamboo.build.pipeline.tasks.AbstractBuildResultsTask
`getBuildResults`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveBuildTask

    public SaveBuildTask(BuildResults buildResults,
                         ErrorHandler errorHandler)

Method Detail

### call

    public Object call()
                throws Exception

  Throws:
    `Exception`

### setBuildManager

    public void setBuildManager(BuildManager buildManager)

### setBuildResultsIndexer

    public void setBuildResultsIndexer(BuildResultsIndexer buildResultsIndexer)

### setBuildResultsSummaryManager

    public void setBuildResultsSummaryManager(BuildResultsSummaryManager buildResultsSummaryManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.